Package Details: lib32-nas 1.9.4-2

Git Clone URL: (read-only)
Package Base: lib32-nas
Description: Network Audio System is a network transparent, client/server audio transport system (multilib)
Upstream URL:
Keywords: lib32-libaudio2
Licenses: MIT
Conflicts: lib32-libaudio2
Provides: lib32-libaudio2
Submitter: dsboger
Maintainer: dsboger
Last Packager: dsboger
Votes: 10
Popularity: 0.512346
First Submitted: 2016-05-25 15:29
Last Updated: 2017-01-19 19:10

Latest Comments

dsboger commented on 2018-03-07 16:00

Should be working now that SourceForge is ~normal again.

dsboger commented on 2018-03-03 12:54

@Northcode thanks for that! SourceForge is undergoing some trouble now. Only static content is being served.

Another solution is to manually download the sources from and put the archive in the same directory as the PKGBUILD. Unfortunately automatic download does not work for that link since it requires JavaScript to select a mirror. I hope SF gets fixed soon.

EDIT: fix the URL encoding by escaping ( and )

Northcode commented on 2018-03-02 21:41

To anyone having problems because the download from sourceforge is not working properly, I am hosting a mirror at{,.md5}, it should work with the same checksum as this PKGBUILD, but I've included an md5 next to it in case it doesn't.

I don't know if this is a problem for other people or if its just sourceforge refusing to work for only me.

dsboger commented on 2017-01-19 19:10

@jghodd should be fixed now. Thanks for reporting!

jghodd commented on 2017-01-19 18:35

Getting a build error:

gcc -m32 -o nasd -O2 -fno-strength-reduce -fno-strict-aliasing -L../lib/audio -L/usr/lib32 -L/usr/lib32 dia/libdia.a dda/voxware/libvoxware.a os/libos.a
dia/libdia.a(lex.o): In function `.L136':
lex.c:(.text+0xbdf): undefined reference to `yywrap'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:1102: nasd] Error 1
make[1]: Leaving directory '/xusr/Repository/lib32-nas/src/nas-1.9.4/server'
make: *** [Makefile:1146: install] Error 2
==> ERROR: A failure occurred in package().

This is the same error we were getting with nas, which was just fixed yesterday.


To fix this, add LDLIBS=-lfl to the make directive:

make install CC='gcc -m32' DESTDIR=${pkgdir} USRLIBDIR=/usr/lib32 LDLIBS=-lfl

but this also requires an additional dependency of lib32-flex

vok5 commented on 2015-11-01 17:31

I can build it manually, so it is definitely an issue with aura. Thanks for your support.

dsboger commented on 2015-11-01 16:45

@vok5: I can build it fine with yaourt. Also, last line seems to suggest it is a problem with aura. Could you try to build this package manually (following the instructions in [1])? If the build fails, please send me the output. If the build finishes, please report the issue in aura [2]. Thanks!


vok5 commented on 2015-11-01 13:22

This package doesn't build for me. I am using aura to get AUR packages. This is what I get:

aura >>= Building `lib32-libaudio2`...
aura >>= Well, building `lib32-libaudio2` failed.
aura >>= Dumping makepkg output in 3.. 2.. 1..
aura >>= Failed to obtain build scripts for `lib32-libaudio2`.